Skip to content

Update Organization Policy Priorities

Request

Updates the priority of policies in a given organization. Policies are numbered and then evaluated sequentially. The request body should contain a list of policy UUIDs in the desired order, starting from highest priority. The service returns a list or ordered policies.

Security
bearer-key
Path
orgTokenstringrequired

org UUID (by running Entities - Organization > Get User Organizations) or API Key (from the Mend SCA App: Integrate tab > API Key).

Bodyapplication/jsonrequired
uuidsArray of strings(Policy Uuid)required
Example:
[ "123e4567-e89b-12d3-a456-426655440000" ]
PUT
/api/v2.0/orgs/{orgToken}/policies/priority
{ "uuids": [ "123e4567-e89b-12d3-a456-426655440000" ] }

Responses

OK

Bodyapplication/json
supportTokenstring(Support Token)
Example:"1171c60d"
retValArray of objects(PolicyDTO)
Response
{ "supportToken": "1171c60d", "retVal": [ {} ] }